# Disable Assert
CONFIG_ASSERT=n

# Enable size optimizations
CONFIG_SIZE_OPTIMIZATIONS=y

# Enable the bootloader
CONFIG_BOOTLOADER_MCUBOOT=y

# Enable mcumgr.
CONFIG_MCUMGR=y

CONFIG_UART_CONSOLE_MCUMGR=y

# Enable the Bluetooth transport.
CONFIG_MCUMGR_SMP_BT=y
CONFIG_MCUMGR_SMP_BT_AUTHEN=y
CONFIG_MCUMGR_SMP_SHELL=y

# Enable all core commands.
CONFIG_MCUMGR_CMD_IMG_MGMT=y
CONFIG_MCUMGR_CMD_OS_MGMT=y
CONFIG_MCUMGR_CMD_FS_MGMT=y
CONFIG_MCUMGR_CMD_SHELL_MGMT=y

# Choose USB serial device for backend (CDC_ACM).
CONFIG_UART_MCUMGR_ON_DEV_NAME="CDC_ACM_1"
